cascading.flow.planner.graph

## Class AnnotatedDecoratedElementGraph

- java.lang.Object
- - cascading.flow.planner.graph.DecoratedElementGraph
  - - cascading.flow.planner.graph.AnnotatedDecoratedElementGraph

- All Implemented Interfaces:
    AnnotatedGraph, ElementGraph

      public class AnnotatedDecoratedElementGraph
      extends DecoratedElementGraph
      implements AnnotatedGraph

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatedDecoratedElementGraph(ElementGraph decorated, EnumMultiMap<FlowElement> annotations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumMultiMap<FlowElement>` | `getAnnotations()`
    `boolean` | `hasAnnotations()`
    `int` | `hashCode()`

    - ### Methods inherited from class cascading.flow.planner.graph.DecoratedElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, bindExtents, containsEdge, containsEdge, containsVertex, copyElementGraph, edgeSet, edgesOf, equals, getAllEdges, getDecorated, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotatedDecoratedElementGraph

          public AnnotatedDecoratedElementGraph(ElementGraph decorated,
                                        EnumMultiMap<FlowElement> annotations)

  - ### Method Detail

    - #### hasAnnotations

          public boolean hasAnnotations()

      Specified by:
        `hasAnnotations` in interface `AnnotatedGraph`

    - #### getAnnotations

          public EnumMultiMap<FlowElement> getAnnotations()

      Specified by:
        `getAnnotations` in interface `AnnotatedGraph`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DecoratedElementGraph`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.